/*
 *	WinDom, Librairie GEM par Dominique Brziat
 *	copyright 1997
 *
 *	module: options.h
 *	description: les options de compilation de la libraire
 */

/*
 *	WINDOMDEBUG   : crit dans le fichier log diverses infos
 */

/* #define WINDOMDEBUG */

/*
 *	GFORM      1  : WinDom gre les click bouton des
 *					formulaire avant de retourner le
 *					message WM_FORM
 *             0  : WinDom se contente de retourner
 *					directement le message
 */

#define GFORM 1

/*
 * Mettre USE_MGEMLIB  1 si vous utilisez MGEMLIB PL39 ou +
 * Mettre USE_GEMLIB   1 si vous utilisez MGEMLIB PL40 ou +
 * Si aucune de ces constantes n'est dfinie, "global.h" dfinira
 * USE_MGEMLIB si le compilo est GCC ou SOZOBONX.
 */

/* #define USE_MGEMLIB 1 */
/* #define USE_GEMLIB  1 */

/* taille des tableaux __windowlist et __iconlist */

#define MAX_WINDOW	100
#define MAX_ICON 	100

/* taille de buffers */
#define FILE_SIZE	255		/* nom fichier */
#define LINE_SIZE	150		/* longueur ligne pour fget() */
#define PIPE_SIZE	256		/* taille du pipeline GEM */

/* Seuil pour la rallocation des objets XEDIT */
#define XEDIT_REALLOC 128
